## osssink osssink — Output to a sound card via OSS |

## Properties

gchar * | device | Read / Write

## Types and Values

struct | GstOssSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstAudioBaseSink
                            ╰── GstAudioSink
                                ╰── GstOssSink

## Description

## Synopsis

### Element Information

plugin | ossaudio
author | Erik Walthinsen <omega@cse.ogi.edu>, Wim Taymans <wim.taymans@chello.be>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S16LE, U16LE, S8, U8 }, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)1
| audio/x-raw, format=(string){ S16LE, U16LE, S8, U8 }, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003

## Functions

## Types and Values

### struct GstOssSink

    struct GstOssSink;

## Property Details

### The `“device”` property

      “device”                   gchar *

OSS device (usually /dev/audioN).

Flags: Read / Write

Default value: "/dev/audio"